rawhide report: 20100517 changes

Mattias Ellert mattias.ellert at fysast.uu.se
Sat May 22 12:00:32 UTC 2010


fre 2010-05-21 klockan 19:55 -0500 skrev Matt Domsch:
> On Fri, May 21, 2010 at 08:40:12AM +0100, Richard W.M. Jones wrote:
> > On Fri, May 21, 2010 at 07:44:48AM +0200, Kevin Kofler wrote:
> > > Rawhide Report wrote:
> > > > mumble-1.2.2-8.fc14
> > > > -------------------
> > > > * Sun May 16 2010 Andreas Osowski <th0br0 at mkdir.name> - 1.2.2-8
> > > > - Rebuild for protobuf ABI change
> > > > - Added redhat-lsb to the Requires for murmur
> > > 
> > > As already noted by Rahul Sundaram when this change was made in CVS, redhat-
> > > lsb is NOT a valid dependency for a Fedora package,[...]
> > 
> > What happens if we want to run the /usr/bin/lsb_release command?
> > 
> > I needed that the other day, but when I saw the lsb_release is in
> > redhat-lsb which requires a vast number of libraries, I found an
> > alternate method.
> 
> Look in rawhide now.   The redhat-lsb SRPM has been split into
> multiple subpackages, including -graphics and -printing exactly so
> that you can Require: lsb   to get the initscript and lsb_release
> stuff, without also pulling in all the graphics and printing
> libraries.

This is a step in the right direction, but it is only half way. To be
useful lsb-core needs to be split of in a separate sub-package too, so
that the "initscript and lsb_release stuff" can be installed without
dragging in any random library dependencies. With the new version you
get rid of the graphics and printing libraries, but you still get a lot
of junk.

	Mattias

-------------- next part --------------
A non-text attachment was scrubbed...
Name: smime.p7s
Type: application/x-pkcs7-signature
Size: 2272 bytes
Desc: not available
Url : http://lists.fedoraproject.org/pipermail/devel/attachments/20100522/de687e78/attachment.bin 


More information about the devel mailing list